API Documentation

Build with the Zorexium Labs API

Introduction

The Zorexium Labs API allows developers to programmatically access marketplace data, manage listings, and build integrations. Our REST API provides endpoints for products, sellers, orders, and more.

Authentication

All API requests require authentication using an API key. Include your key in the Authorization header:

Authorization: Bearer YOUR_API_KEY

Base URL

https://api.zorexium.labs/v1

Endpoints

Products

GET /products - List all products GET /products/{id} - Get product details POST /products - Create new listing PUT /products/{id} - Update listing DELETE /products/{id} - Remove listing

Sellers

GET /sellers/{username} - Get seller profile GET /sellers/{username}/products - List seller products GET /sellers/{username}/stats - Get seller statistics

Orders

GET /orders - List user orders GET /orders/{id} - Get order details POST /orders - Create new order PUT /orders/{id} - Update order status

Rate Limiting

API requests are limited to 1000 requests per hour per API key. Rate limit headers are included in all responses.

Pagination

List endpoints support pagination with limit and offset parameters:

GET /products?limit=20&offset=0

Error Handling

Errors return appropriate HTTP status codes with error messages:

  • 400: Bad Request
  • 401: Unauthorized
  • 404: Not Found
  • 429: Too Many Requests (rate limit exceeded)
  • 500: Internal Server Error

Get Your API Key

Visit your account settings to generate an API key. Keep it secret and never share it publicly.

Support

For API support and questions, contact developers@zorexium.labs